- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Atom Class Reference

`#include <List.h>`

Inheritance diagram for Atom:

List of all members.

## Public Member Functions
| Atom (std::string aString, int lineNumber=-1)
| Atom (int anInt, int lineNumber=-1)
| Atom (double aDouble, int lineNumber=-1)
| Atom (Atom *atom)
bool | atomic ()
std::string | getString ()
int | getInt ()
double | getDouble ()
List * | getList ()
std::string | firstString ()
List * | firstList ()
void | findAndReplace (std::string find, std::string replace)
## Protected Attributes
std::string | _string
int | _lineNumber

## Detailed Description

Definition at line 61 of file List.h.

## Constructor & Destructor Documentation

Atom::Atom | ( | std::string | aString,
|  | int | lineNumber = `-1`
| ) |

| Definition at line 188 of file List.cpp.

Atom::Atom | ( | int | anInt,
|  | int | lineNumber = `-1`
| ) |

| Definition at line 193 of file List.cpp. References _string.

Atom::Atom | ( | double | aDouble,
|  | int | lineNumber = `-1`
| ) |

| Definition at line 201 of file List.cpp. References _string.

Atom::Atom | ( | Atom * | atom | ) |

| Definition at line 209 of file List.cpp.

## Member Function Documentation

bool Atom::atomic | ( |  | ) | `[inline, virtual]`

| Implements ListItem. Definition at line 68 of file List.h.

void Atom::findAndReplace | ( | std::string | find,
|  | std::string | replace
| ) | `[virtual]`

| Implements ListItem. Definition at line 230 of file List.cpp. References _string.

List * Atom::firstList | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 242 of file List.cpp. References _lineNumber, and _string.

std::string Atom::firstString | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 236 of file List.cpp. References _lineNumber, and _string.

double Atom::getDouble | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 225 of file List.cpp. References _string.

int Atom::getInt | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 220 of file List.cpp. References _string.

List * Atom::getList | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 214 of file List.cpp. References _lineNumber, and _string.

std::string Atom::getString | ( |  | ) | `[inline, virtual]`

| Implements ListItem. Definition at line 69 of file List.h. References _string.

## Member Data Documentation

int Atom::_lineNumber`[protected]`

| Definition at line 79 of file List.h. Referenced by firstList(), firstString(), and getList().

std::string Atom::_string`[protected]`

| Definition at line 78 of file List.h. Referenced by Atom(), findAndReplace(), firstList(), firstString(), getDouble(), getInt(), getList(), and getString().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/List.h
- C:/Documents and Settings/jegan/Desktop/projectX/List.cpp